<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.parser.*" %>
<%@ page import="it.loway.app.queuemetrics.configurazione.configurationwizard.*" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="java.util.*" %>

<%@ include file="/includes/00_page_header.jspf" %> 

<% 
    // $Id: autoconfWizard1.jsp,v 1.7 2015/09/28 08:41:09 marcos Exp $
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
    
    // Start the Wizard Navigation Bar
    oDec.load( "autoconf_wznavbar", "autoconf_wzNavBar.txt", 0, 1 );  
    WizardNavigationBar wzNavBar = new WizardNavigationBar(oDec, "autoconf_wznavbar");
    
    // Retrieve the default source type
    LTable availableParsers = oC.getLt("CONFWIZ_availableParsers");
    String defaultSourceType = oC.getS("CONFWIZ_defaultType");
    boolean sourceIsFile = (U.cint(defaultSourceType) == ConfWizardHandler.SOURCETYPE_FILE)? true : false;
    boolean sourceIsQueueLog = (U.cint(defaultSourceType) == ConfWizardHandler.SOURCETYPE_QUEUELOG)? true : false;
    boolean sourceIsAstRealtime = (U.cint(defaultSourceType) == ConfWizardHandler.SOURCETYPE_REALTIME)? true : false;
    
    // This is the width the text box will have
    String stWidth = "width: 400px;";
    
    // This is the next hop
    boolean bSucceded = oC.getS("CONFWIZ_OperationStatus").equalsIgnoreCase("OK");
    boolean bResultPage = oC.getS("CONFWIZ_ImAResultPage").equalsIgnoreCase("YES");
    int nextHopID = (!bResultPage)? ConfWizardHandler.STEP_VALIDATESOURCE : ((bSucceded)? ConfWizardHandler.STEP_SELECTAGENTS : ConfWizardHandler.STEP_START);
    String nextHop = "StepID_" + Integer.toString(nextHopID);
    
    // Retrieve the result contents
    boolean showResults = bResultPage && !bSucceded;
    LTable ltResult = oC.getLt("CONFWIZ_ResultPageContents");
%>


<script defer>          
    function onLoadApplicativo() {
            // transazione standard
            document.forms[0].<%= K.REQ_VERBO %>.value = "";
            document.forms[0].<%= K.REQ_PARAM %>.value = "";
            
            // Raise the onSourceTypeChanged event when the combo box changes their value
            document.getElementById("CONFWIZ_Parsers").onchange = onSourceTypeChanged;
    }
    
    function onSourceTypeChanged() {
        
            type = document.getElementById("CONFWIZ_Parsers").selectedIndex;
            
            if (type == "0") {
                document.getElementById("CONFWIZ_fileAgents").disabled = false;
                document.getElementById("CONFWIZ_fileQueues").disabled = false;
                document.getElementById("CONFWIZ_fileUsers").disabled = false;
            } else {
                document.getElementById("CONFWIZ_fileAgents").disabled = true;
                document.getElementById("CONFWIZ_fileQueues").disabled = true;
                document.getElementById("CONFWIZ_fileUsers").disabled = true;
            }

            if (type == "3") {
                document.getElementById("CONFWIZ_jdbcUri").disabled = false;
                document.getElementById("CONFWIZ_jdbcDriver").disabled = false;
            } else {
                document.getElementById("CONFWIZ_jdbcUri").disabled = true;
                document.getElementById("CONFWIZ_jdbcDriver").disabled = true;
            }

            if (type == "4") {
                document.getElementById("CONFWIZ_queueLog").disabled = false;
            } else {
                document.getElementById("CONFWIZ_queueLog").disabled = true;
            }
    }
</script>


<center>
    <div id="xCorpo" align="center">
        <%=wzNavBar.RenderHTML(0)%><p/>
        <hr width="50%" color="grey">
    </div>
</center>

<% if (!bResultPage) { %>
    <center>
        This wizard will import agent, users and queue data from the existing Asterisk configuration.
        <br>Please select the source data location you want to use.
        <p/>
    </center>

    <center>
       <%= oH.combo("CONFWIZ_Parsers", true, "width: 200px;", availableParsers, 1, 0, defaultSourceType) %>
       <p/>
    </center>

    <center>
        <table class="ST">

            <tr>
                <td colspan="2"><b>Asterisk configuration:</b></td>
            </tr>

            <tr>
                <td>Agents.conf:&nbsp;</td>
                <td><%= oH.textBox( "CONFWIZ_fileAgents", sourceIsFile, stWidth, 500 ) %></td>
            </tr>

            <tr>
                <td>Queues.conf:&nbsp;</td>
                <td><%= oH.textBox( "CONFWIZ_fileQueues", sourceIsFile, stWidth, 500 ) %></td>
            </tr>
            
            <tr>
                <td>Users.conf (optional):&nbsp;</td>
                <td><%= oH.textBox( "CONFWIZ_fileUsers", sourceIsFile, stWidth, 500 ) %></td>
            </tr>

            

            <tr>
                <td colspan="2">&nbsp;</td>
            </tr>

            <tr>
                <td colspan="2"><b>Queue logs:</b></td>
            </tr>
           
            <tr>
                <td>Queue log:&nbsp;</td>
                <td><%= oH.textBox( "CONFWIZ_queueLog", sourceIsQueueLog, stWidth, 500 ) %></td>
            </tr>

            

            <tr>
                <td colspan="2">&nbsp;</td>
            </tr>

            <tr>
                <td colspan="2"><b>Asterisk Realtime subsystem:</b></td>
            </tr>

            <tr>
                <td>JDBC Uri:&nbsp;</td>
                <td><%= oH.textBox( "CONFWIZ_jdbcUri", sourceIsAstRealtime, stWidth, 500 ) %></td>
            </tr>

            <tr>
                <td>JDBC Driver:&nbsp;</td>
                <td><%= oH.textBox( "CONFWIZ_jdbcDriver", sourceIsAstRealtime, stWidth, 500 ) %></td>
            </tr>
        </table>
    </center>
<% } else { 
        if (bSucceded) { %>
            <center>
                The specified sources have been succesfully read. 
            </center>
        <% } else { %>
            <center>
                Some errors were found reading the specified sources.
            </center>
        <% } %>
<% } %>
    
<center>
    <div id="xCorpo">
        <form>                    
            <table border="0" width="100%">
                <tr>&nbsp;</tr>

                <tr>
                    <td align="center">
                        <%= oH.button( "Next >", true, "", "autoconf_Wizard", nextHop ) %>
                    </td>
                </tr>

                <tr>&nbsp;</tr>
            </table>
        </form>                    
    </div>
    
</center>

<center>
    <% if (showResults) { %>
        <div id="xCorpo">
            <p/>
            The following errors where found:
            <p/>
            <div>
                <%
                    SmartTable T = new SmartTable("x", ltResult);
                    T.setDecoder(oDec);
                    T.addColumn("", 0, "300");
                    out.println(T.render());
                %>
            </div>
            <p/>
        </div>
    <% } %>
</center>


<%@ include file="/includes/00_page_footer.jspf" %>
  
<%
// $Log: autoconfWizard1.jsp,v $
// Revision 1.7  2015/09/28 08:41:09  marcos
// jsp/jspf refactoring.
//
// Revision 1.6  2013/03/05 16:27:57  marcos
// #1841: Display JDBC parameters for Asterisk Realtime autoconfig
//
// Revision 1.5  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.4  2009/05/07 07:44:50  marcos
// #725: Integer exception catched
//
// Revision 1.3  2009/04/06 09:25:40  marcos
// #276 - New configuration wizard - Asterisk Queue Log File parser was added
//
// Revision 1.2  2009/03/20 12:08:40  marcos
// #276 - New configuration wizard - Added the Users.conf file handling.
//
// Revision 1.1  2009/03/18 11:46:42  marcos
// #276 - New configuration wizard - First step.
//
%>
