#! /bin/bash
#
# Checks reachability of Loway licensing servers.
# 
# Any parameters passed will be passed to the Java VMN, so you
# can test proxy settings before running QM.
#
# For example:
#
#   ./checkLicenseConnectivity.sh
#
# Will check reachability with the default settings (usually no proxy), and
#
#   ./checkLicenseConnectivity.sh -DsocksProxyHost=127.0.0.1 -DsocksProxyPort=63080
#
# Will check reachability by attempting to go through a SOCKS proxy at 127.0.0.1:63080 
#
# Java has many options to use SOCKS and HTTP/S proxies - pls see related documentation.
#

JARLIB=/usr/local/queuemetrics/qm-current/WEB-INF/lib
JAVA=/usr/local/queuemetrics/java/bin/java
VMOPTS="-client -Xmx256M $@"

CP=$(ls -a $JARLIB/*.jar | sed -e :a -e '$!N; s/\n/:/; ta')

$JAVA $VMOPTS -cp $CP ch.loway.tpf.ReachabilityChecker

