<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.tpf.common.containers.LDecoder" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.jdbcTester" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.dbtestWizard" %>

<%@ include file="/includes/00_page_header_context.jspf" %>

<%
    // $Id: dbtestWizard3.jsp,v 1.4 2015/09/28 08:41:16 marcos Exp $

    // -- Showing the update/restore database result during the database updater wizard --

    // Start the Wizard Navigation Bar
    oDec.load( "dbtest_wznavbar", "dbtest_wzNavBar.txt", 0, 1 );
    WizardNavigationBar wzNavBar = new WizardNavigationBar(oDec, "dbtest_wznavbar");

    boolean bSucceded = oC.getS("DBTEST_OperationStatus").equalsIgnoreCase("OK");
    boolean bResultPage = oC.getS("DBTEST_ImAResultPage").equalsIgnoreCase("YES");
    boolean showResults = bResultPage;

    // Define next step
    int nextHopID = (bSucceded)? dbtestWizard.STEP_OPTIMIZE : dbtestWizard.STEP_START;
    String nextHop = "dbtest_Wizard.do?StepID_" + Integer.toString(nextHopID);

    // Take results if required
    LTable ltDBTestResult = null;
    if (showResults)
        ltDBTestResult = oC.getLt("DBTEST_OperationResult");
%>

<%@ include file="dbupdateHeader.jsp" %>

    <div id="bCorpo">
        <h1>JDBC connection tester </h1>
    </div>

    <div id="bCorpo">
        <%=wzNavBar.RenderHTML(2)%><p/>
        <hr>
    </div>

    <div id="bCorpo">

        <% if (bSucceded) { %>
            <div class="uk-text-success">The database upgrade and repair process was finished successfully.</div>
        <% } else { %>
            <div class="uk-text-danger">There were some errors during the upgrade and repair process.
            <p>Please check the report below and report errors to Loway.</div>
        <% } %>
    </div>


    <div id="bCorpo">
        <form>
            <div class="uk-text-center"><input onclick="window.location='<%=nextHop%>'" type=button value="Next >"></div>
        </form>
    </div>

    <% if (showResults) { %>
        <div id="bCorpo" class="uk-margin-top">
            Below you can find the performed check details:

            <div>
                <%
                    SmartTable T = new SmartTable("x", ltDBTestResult);
                    T.setDecoder(oDec);
                    T.addColumn(" ", 0, "80");
                    T.addColumn(oDec.k("td_dbtest_wz_testname"), 1, "400");
                    T.addColumn(oDec.k("td_dbtest_wz_testresult"), 2, "200");
                    T.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
                    out.println(T.render());
                %>
            </div>

        </div>
    <% } %>

<%@ include file="dbupdateFooter.jsp" %>

<%
    // $Log: dbtestWizard3.jsp,v $
    // Revision 1.4  2015/09/28 08:41:16  marcos
    // jsp/jspf refactoring.
    //
    // Revision 1.3  2013/03/08 11:16:14  lenz-mobile
    // Typo
    //
    // Revision 1.2  2011/11/28 11:34:27  marcos
    // #1287: Slight changes for the en_US translation
    //
    // Revision 1.1  2009/03/03 15:38:32  marcos
    // #375: dbTest refactor
    //
%>
