<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.app.queuemetrics.html.NoCache" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.*" %>
<%@ page import="it.loway.tpf.SQL" %>
<%@ page import="ch.loway.tpf.dbcreator.JdbcUri" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.html.NoCache" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.*" %>
<%@ page import="ch.loway.app.queuemetrics.KnownUrls" %>
<%@include file="/includes/00_page_header_context.jspf" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<%
    // Useful local functions
    class LocalFormUtils {

        public boolean getParamValue(HttpServletRequest request, String paramName) {
            String paramStringValue = request.getParameter(paramName);

            if (paramStringValue == null)
                return false;

            if (paramStringValue.equals("1"))
                return true;

            return false;
        };
    };

    // Working directory
    //String stWebHere = Web.getWebApp( request );

    // Read the problem found from GET parameters
    LocalFormUtils formUtils = new LocalFormUtils();
    boolean validXml = formUtils.getParamValue(request, "Xml");
    boolean validUri = formUtils.getParamValue(request, "Uri");
    boolean validDatabase = formUtils.getParamValue(request, "DB");

    String xmlColor = (validXml) ? "uk-text-success":"uk-text-danger";
    String xmlValue =  application.getRealPath("WEB-INF/web.xml");

    String ojdbcUri = "-";
    JdbcUri uri = JdbcUri.buildFromSystemFiles(application);

    String uriColor = (validXml && validUri && validDatabase)? "green":"red";

    String uriClass = (validXml && validUri && validDatabase)? "uk-text-success":"uk-text-danger";

    String uriValue = uri.sourceUri;

    // controlla se stanno uando una vecchia uri MySQL
    boolean boNoMysqlDriver = false;
    boolean boOldMysqlDriver = false;

    if (uriValue.toLowerCase().contains( "jdbc:mysql" )) {
        boOldMysqlDriver = true;
        try {
            Object o = Class.forName( SQL.MYSQL_DRIVER );
        } catch (ClassNotFoundException e) {
            boNoMysqlDriver = true;
        }
    }

    boolean isWhiteLabel = KnownUrls.isWhitelabel();
%>
<%@ include file="dbupdateHeader.jsp" %>


<div class="qm-form-body">
  <h1><%=CS.QUEUEMETRICS%> JDBC connection tester</h1>

  It looks like you don't have a working JDBC connection. <br>
  <%=CS.QUEUEMETRICS%> requires a working JDBC connection to a MariaDB/MySQL database in order to work properly.<p>
  If you have not already done so:

  <ul>
    <li> Create a database for <%=CS.QUEUEMETRICS%> and import the sample database you'll find in WEB-INF/README</li>
    <li> Edit the file WEB-INF/web.xml to enter the database server, user and password <%=CS.QUEUEMETRICS%> will use to connect</li>
  </ul>

  <% if (!isWhiteLabel) { %>

  These steps are explained in greater detail in <%=CS.QUEUEMETRICS%> user manual,
  available at <%= KnownUrls.linkQmUserManual() %>.

  <% } %>


  <div class="uk-margin uk-text-center">
    <input onclick="window.location='create_db.jsp?<%= uri.asParms() %>'" type=button value="Create <%=CS.QUEUEMETRICS%> database now >>>">
  </div>

  This is the current configuration found:
  <div>
  <ul>
    <li>XML configuration file located at:
        <div class="<%=xmlColor%>"><%=xmlValue%></div>
    </li>
    <li>JDBC URI configured as:
      <div class="<%=uriClass%>"><%=uriValue%></div>
    </li>

  <% if (boOldMysqlDriver) { %>
    <li>
      <b>You seem to be still referencing an old MySQL Connector/J driver.</b>
      <br>Please consider migrating to the new MariaDB driver format (see our FAQ).
    </li>
  <% } %>

  <% if (boNoMysqlDriver) { %>
    <li>
      <b>The JDBC driver is missing.</b> <br>
      You need to download it manually, add it to <code>WEB-INF/lib</code>
      and restart <%=CS.QUEUEMETRICS%> to make it work.
      Consider migrating to the new MariaDB driver format (see our FAQ).
    </li>
  <% } %>
  </ul>
  </div>


  <% if (!isWhiteLabel) { %>

  Most common JDBC errors are explained in the FAQs, available at <%= KnownUrls.linkQmFAQ() %>.

  <% } %>

</div>

<%@ include file="dbupdateFooter.jsp" %>
