// $Id: realtime2_frame.js,v 1.2 2015/10/29 10:38:38 marcos Exp $ 
// 
// Here are the pure javascript functions (i.e. does not contain anything
// about context, label decoder and so on).

var hInterval = 0;

$(window).unload( function(){
    cancelTimer();
});

function cancelTimer() {
    //console.log( "Cancelling timer");
    if (hInterval != 0){
        clearInterval(hInterval);
    }
}


function initPage() {
    
    $("#rt_opentab").toggle();

    $( "#checkbox_REALTIME_toggle_riep" )
    .add( "#checkbox_REALTIME_toggle_calls" )
    .add( "#checkbox_REALTIME_toggle_agents" )
    .add( "#checkbox_REALTIME_toggle_showAggrByQueueView")
    .add( "#checkbox_REALTIME_toggle_showAggrByTagView")
    .add( "#checkbox_REALTIME_toggle_showAgentOutcomeView")
    .bind('change', function() { settaVisibilitaPannelli(); } )
    ;


    $( "#sound" )
    .bind( 'click', function() { soundTrigger(); } );

    // alcuni bottoni vanno a server
    $( "#REALTIME_toggle_memberagentsonly" )
     .add( "#REALTIME_toggle_showAllSubqueues" )
     .add( "#REALTIME_F_idLocation" )
     .add( "#CODA_F_idAgentGroup" )
     .add( "#CODA_F_supervision")
     .bind( 'change', function() { reloadpage(); } );

    $( "#REALTIME_reload_time" ).bind('change', function() { updateTimeOffset(); } )

    $(".menu").bind( 'mouseover', menu_displayMenu );

    setupJson( json_sources );

    hInterval = setInterval( "queryJson()", getTimeOffset() );

    initActionAgentDialog();
    initActionCallDialog();
} 

function disableUITransaction( disable ) {

    $( "#btnreload" ).attr("disabled", disable);
    $( "#REALTIME_toggle_memberagentsonly" ).attr("disabled", disable);
    $( "#REALTIME_toggle_showAllSubqueues" ).attr("disabled", disable);
    $( "#REALTIME_F_idLocation" ).attr("disabled", disable);
    $( "#CODA_F_idAgentGroup" ).attr("disabled", disable);
    $( "#CODA_F_supervision" ).attr("disabled", disable);
}

/**
 * bug #2229 - memory leak in Firefox
 */
function resetHtmlInPanel( panel, newHtml ) {
        $( panel + " img" ).remove();
        $( panel ).empty().html( newHtml );
}

function setupJson( data ) {

    if ( data['errormsg'].length > 0  ) {
        // ho un errore server
        $( "#errmsg" ).html( data['errormsg'] ).show();
    } else {
        $( "#errmsg" ).html( data['errormsg'] ).hide();

        resetHtmlInPanel( "#frame_rtreport_header", data['tab_reportheader'] );
        resetHtmlInPanel( "#frame_riepilogo", data['tab_riepilogo'] );
        resetHtmlInPanel( "#frame_agenti", data['tab_agenti'] );
        resetHtmlInPanel( "#frame_chiamate", data['tab_chiamate'] );
        resetHtmlInPanel( "#frame_aggbyqueue", data['tab_aggbyqueue'] );
        resetHtmlInPanel( "#frame_aggbytag", data['tab_aggbytag'] );
        resetHtmlInPanel( "#frame_agentoutcomeview", data['tab_agentoutcomeview'] );
    }

    settaVisibilitaPannelli();
    jsddm_start();

    $( "#frame_ora" )
        .unbind( 'click' )
    	.html( data['dataOra'] )        
        .css( "color", "#FF0000");

        updateAlarms();
};


function menu_displayMenu( event ) {

    $( "#menucont" )
    .html( $( event.target ).attr( "overtext" ) )
    .css( "left", event.pageX  )
    .css( "top",  event.pageY  )
    .bind( 'click', function() { $( "#menucont" ).hide(); } )
    .show();

    logS( "menushown");
}

function settaVisibilitaPannelli() {
    cbx_showhide( "REALTIME_toggle_riep", "1", "frame_riepilogo_ext");
    cbx_showhide( "REALTIME_toggle_calls", "1", "frame_chiamate_ext");
    cbx_showhide( "REALTIME_toggle_agents", "1", "frame_agenti_ext");
    cbx_showhide( "REALTIME_toggle_showAggrByQueueView", "1", "frame_aggbyqueue_ext");
    cbx_showhide( "REALTIME_toggle_showAggrByTagView", "1", "frame_aggbytag_ext");
    cbx_showhide( "REALTIME_toggle_showAgentOutcomeView", "1", "frame_agentoutcomeview_ext");

    if ($("#REALTIME_SHOWBTN_sound").val() == "off") {
        var contents='<svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M14.6054 2.48093C15.6422 1.75949 16.9996 2.50988 16.9996 3.60874V4.41945L18.3846 3.31142C18.1659 1.16461 15.5964 0.0857293 13.8058 1.33178L6.87833 6.15235C6.62151 6.33107 6.30846 6.42954 5.98418 6.42954H3.34958C2.08116 6.42954 0.999585 7.42097 0.999585 8.70829V11.2917C0.999585 12.579 2.08116 13.5704 3.34958 13.5704H5.56085L7.0605 12.3707C6.71938 12.2389 6.35415 12.1704 5.98418 12.1704H3.34958C2.79547 12.1704 2.39959 11.7482 2.39959 11.2917V8.70829C2.39959 8.25177 2.79547 7.82954 3.34958 7.82954H5.98418C6.58981 7.82954 7.18276 7.64612 7.67799 7.30151L14.6054 2.48093ZM10.0394 14.3417L8.8992 15.2539L13.8058 18.6682C15.6773 19.9705 18.3996 18.7332 18.3996 16.3912V7.65357L16.9996 8.77357V16.3912C16.9996 17.4901 15.6422 18.2405 14.6054 17.519L10.0394 14.3417Z" fill="#AAAAAA"/><path d="M6.00044 15.4L19.0004 5.19625" stroke="#AAAAAA" stroke-width="1.4" stroke-linecap="round"/></svg>'
        $("#sound").html(contents);
      } else {
        var contents='<svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M5.98459 7.12955H3.35C2.43873 7.12955 1.7 7.83638 1.7 8.7083V11.2917C1.7 12.1636 2.43873 12.8704 3.35 12.8704H5.98459C6.44955 12.8704 6.90255 13.0114 7.27857 13.2731L14.206 18.0936C15.6602 19.1055 17.7 18.1116 17.7 16.3913V3.60875C17.7 1.88836 15.6601 0.894481 14.206 1.90636L7.27857 6.72694C6.90255 6.9886 6.44955 7.12955 5.98459 7.12955Z" stroke="#AAAAAA" stroke-width="1.4" stroke-linejoin="round"/></svg>'
        $("#sound").html(contents);
      }
    logS( "Sound " + $( "#REALTIME_SHOWBTN_sound" ).val() );
}

function cbx_showhide( idCheckBox, valShow, idDiv) {
    var currVal = $( "#" + idCheckBox ).val();
    if (currVal === '') {
        currVal = '0';
    }
    
    if (currVal === valShow) {
        $( "#" + idDiv ).show();
        boHidden = false;
    } else {
        $( "#" + idDiv ).hide();
        boHidden = true;
    }
    logS( "ShowHide #" + idCheckBox + " CurVal:" + currVal + " -> #" + idDiv + " " + ( boHidden ? " Hidden" : " Shown") );
}

function cbo_showhide( idCombo, valShow, idDiv) {

    var currVal = $( "#" + idCombo ).val();
    var boHidden = true;
    if ( currVal == valShow ) {
        $( "#" + idDiv ).show();
        boHidden = false;
    } else {
        $( "#" + idDiv ).hide();
        boHidden = true;
    }
    logS( "ShowHide #" + idCombo + " CurVal:" + currVal + " expected:" + valShow + " -> #" + idDiv + " " + ( boHidden ? " Hidden" : " Shown") );
}

function soundTrigger() {
    if ( $( "#REALTIME_SHOWBTN_sound" ).val() == "off" ) {
        $( "#REALTIME_SHOWBTN_sound" ).val("on");
    } else {        
        $( "#REALTIME_SHOWBTN_sound" ).val("off");
    }
    settaVisibilitaPannelli();
}


function getTimeOffset() {
	var v = $( "#REALTIME_reload_time" ).val() * 1000;
	if ( v > 0 ) {
		return v;
	} else {
		return 15000;
	}
}


function requery( offset ) {
    
    console.log( "Requery", offset);
    cancelTimer();
    if ( offset > 0 ) {
        hInterval = setInterval( "queryJson()", offset );
    }
}



function updateTimeOffset() {
    requery( getTimeOffset() );
}

function rescheduleAfterError() {
    requery( 120 *1000 );
}



/**
 * Effettua una nuova query tra ca. 2 secondi.
 */
function requerySoon() {
    requery( 1500 );
}

function queryJson() {

    //console.log( "TRiggering alarm.");

    // will just reschedule if the menu pop-up is  currently visible.
    // Funziona solo con jsddm - occhio a modificarlo!
    if( jsddm_menuitem  ) {
        // it's visible, do something
        logS( "Menu visibile");
        requerySoon();
        return;
    } else {
        disableUITransaction(true);
        //updateTimeOffset();
        cancelTimer();
    }

    $( "#frame_ora" )
        .css( "color", "#FF8888");

    
    $.ajax( {
        type:        "post",
        url:         "../tpf",
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        dataType:    "json",
        timeout:     60*1000,
        data: {
            'TPF_VERBO': "qm_realtime2_ds",
            'TPF_XPAR1': ''
        },
        success: function(resp) {
            setupJson( resp );

            disableUITransaction(false);
            updateTimeOffset();
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            //alert(XMLHttpRequest.responseText);
            logS( XMLHttpRequest.responseText );
            $( "#frame_ora" )
                .html( "!!Error!!" )
                .bind( 'click', function() { alert(XMLHttpRequest.responseText); });

            disableUITransaction(false);
            rescheduleAfterError()
            
        }
    });
}

function reloadpage () {

    cancelTimer();
    startTransaction('qm_realtime2', '');
}

// funzioni di richiamo per QM
function cacheBreak() {
    cacheb = Math.random().toString(36).replace(/[^a-z]+/g, '').substr(0, 9);
    unique = new Date().getTime();
    return cacheb + unique;
}

function openPopUpListen( stNumRiga, stServer, stDirezione ) {
    verb = "qm_popup_audiomon.do";
    stUrl = verb + "?POPUP_agent=" + escape(stNumRiga) + "&POPUP_server=" + escape(stServer) + "&POPUP_direction=" + escape(stDirezione) + "&cachebreak=" + cacheBreak();
    eval("page" + unique + " = window.open( stUrl, '" + unique + "', 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=0,width=450,height=350,left = 490,top = 200');");
}


function openPopUpQA( agent, clid, tst, queue, caller ) {
    stUrl = "qm_qa_popup.do?QAE_agent=" + escape(agent) + "&QAE_astclid=" + escape(clid) + "&QAE_call_tst=" + escape(tst) + "&QAE_queue=" + escape(queue) + "&QAE_caller=" + escape(caller) + "&QAE_comment=" + "&cachebreak=" + cacheBreak();
    eval("page" + unique + " = window.open( stUrl, 'QA', 'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,width=700,height=850,left = 200,top = 50');");
}

// Hide/Show the menu bar
function showHideMenuBar() {

    // Show/Hide the menubar
    $( "#rt_menubar" ).toggle( "slide", function() {
            $("#rt_opentab").toggle("slide", {}, 200); 
    }, 400);
};
    
    