<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="ch.loway.app.queuemetrics.KnownUrls" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    boolean boInstallNewKey = oU.hasKey( "KEYUPDATE" );
    String haveResponse = oC.getS( "KEY_status" );
    String responseMessage = oC.getS( "KEY_message" );
    String agawUrl = oC.getS( "LICPAGE_agawUrl" );
    oC.putS( "KEY_status", "" );
    oC.putS( "KEY_message", "" );

    final String chromeExtension = "https://chrome.google.com/webstore/detail/queuemetrics-agaw/gdcjmabbngpfebebjcnnlniilefochhc";

    boolean hideEverythingForLive = KnownUrls.emptyLicensePageForLive();
    boolean isWhiteLabel = KnownUrls.isWhitelabel();
    boolean boShowTechStuffFlag = oC.defined( "LICPAGE_techStuff" );
    boolean boShowTechStuff = boShowTechStuffFlag && !isWhiteLabel;
    boolean isLicensed = FA.licencedVersion(oC);

    // Mostro in ogni caso il numero di agenti
    // licenziato

    int inMaxAg = FA.getMaxAgenti( oC );
    int inMaxCluster = FA.getMaxCluster( oC );
    String agentsLicensed = inMaxAg + " [S:" + inMaxCluster + "]" ;

%>

<script>
var page_licence = true;
var responseMessage = "<%=responseMessage%>";
var haveResponse = "<%= haveResponse %>";


function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>


    <div class="qm-form-body L-column L-gap-24">
    <h1><%= oDec.k("licence_licence_information") %></h1>

        <table border=0>
            <tr>
                <td valign="top"><%= oDec.k("licence_software_release") %></td>
                <td>
                <b><%= (KA.NOME_APPLICAZIONE + " - " + KA.APPL_VERSIONE) %></b> <br>
                B: <%= CS.BUILD_N %>
                </td>
            </tr>

        <% if (!hideEverythingForLive)  { %>
            <tr>
                <td valign="top">AGAW:</td>
                <td valign="top">
                    <%= oDec.k("licence_install_now")%>:
                    <%--
                    <a href="https://addons.mozilla.org/en-US/firefox/addon/qmext/" target="_new">Firefox</a> -
                    <a href="./agaw/client_chrome/agaw4chrome.crx">Chrome</a>
                    --%>
                    
                    <a href="<%= chromeExtension %>" target="_new">Chrome</a>
                    <br>
                    <% if ( agawUrl.length()>0 ) { %>
                        <small class="graysmall">URL: <%= agawUrl %></small>
                        <% } %>
                        <p>&nbsp;
                        </td>
            </tr>
            <tr>
                <td><%= oDec.k("licence_licenced_to") %></td>
                <td><b><%= oC.getS( "SYS_LIC_user" )%></b>
                <% if (boInstallNewKey)  { %>
                    - <a href="#" class="installnewlicence" id="keyDialog"><%= oDec.k("keyinstall_install_new") %></a>
                    <% } %>
                </td>
            </tr>
        <% } %>
                        
            <%-- We always display the number of licensed agents - 5216 --%>
            <tr>
                <td><%= oDec.k("licence_maximum_licenced_agents") %> &nbsp; &nbsp;</td>
                <td><b><%= agentsLicensed %></b></td>
            </tr>
            
        <%-- Modificato per bug #3904 con scadenza licenza decisa in FA --%>
        <% if (!hideEverythingForLive)  { %>
            <tr>
                <td><%= oDec.k("licence_licence_expires_on") %> </td>
                <td><b><%= FA.getLicExpiryDate( oC )%></b></td>
            </tr>
            
            <tr>
                <td> &nbsp; </td>
                <td> <a href="licence_agreement.jsp"><%= oDec.k("licence_show_eula") %></a> </td>
            </tr>

            <tr>
              <td valign="top">Database server: </td>
              <td>
                  <%= oC.getS("LICPAGE_storage_server") %>
              </td>
            </tr>

            <tr>
              <td valign="top">Loway TPF: </td>
              <td>
                  Version: <%= K.BUILD_ARCHITETTURA %>
              </td>
            </tr>

            <%-- b6749: Non esiste più la versione del language pack.
            <tr>
              <td valign="top">Language pack: </td>
              <td>
                  <%= oDec.k("00-LanguagePackVer") %>
              </td>
            </tr>
            --%>

            <tr>
              <td valign="top">System time: </td>
              <td>
                  <%= oC.getS("LICPAGE_ora") %>
              </td>
            </tr>
      <% }; // hideEverythingForLive %>

        </table>
    <p> &nbsp;
    <p>
    <% if ( !isLicensed && !isWhiteLabel ) { %>
        The free version of this product allows up to 2 agents at once on one PBX server.
        If you need to evaluate this
        product with more than two agents, you can have a free time-limited evaluation
        version issued to you at no cost. Just fill in your data at <%= KnownUrls.linkTryFree() %>
        to request a temporary eval licence now.
        <% }; %>
        <p>
            <%= oDec.k("licence_website") %>
            <a href="<%=CS.QM_WEBSITE%>/?from=qm-<%= KA.APPL_VERSIONE %>" target="qm"><%=CS.QM_WEBSITE%></a>.
        <p>                                 
  </div>


<!-- MODALE LICENZA -->
<%@ include file="./includes/LowayModalHeader.jspf" %>
  <div id="key_modal">
    <div id="keyArea" class="L-column L-gap-24"> 
      <h2 class="L-title"><%= oDec.k("keyinstall_popup_title") %></h2>

      <div class="L-column L-gap-8">
        <label><%= oDec.k("keyinstall_popup_descr") %>: </label>

        <div>
          <%= oH.textArea( "KEY_value_notinform",  true, "", 1000 ) %>
        </div>
      </div>
        <div class="L-justify-flexend">
          <INPUT TYPE='submit' CLASS='Q-button-primary submitNewKey' VALUE="<%= oDec.k("pgag_popup_run") + " &raquo; "%>" >
        </div>
    </div>

    <div id="dialog_ok">
      <progress id="progressbar" class="L-progress" value="0" max="100"></progress>
      <div id="progress100" class="L-row L-gap-16">
        <img src="<%= stWebHere %>/img/icons_silk/accept.png" style="width:16px; height: 16px;">
          <%= oDec.k("keyinstall_installed_ok") %>
      </div>
    </div>

    <div id="dialog_ko" class="L-row L-gap-16">
      <img src="<%= stWebHere %>/img/icons_silk/cancel.png" style="width:16px; height: 16px;">
      <%= responseMessage %>
    </div>

  </div>
</div>
<%@ include file="./includes/LowayModalFooter.jspf" %>
<!-- FINE MODALE LICENZA -->

<%-- for reason we don't know we need to copy the lic here --%>
<input type="hidden" name="KEY_value" id="KEY_value" value="" />


<%@ include file="/includes/00_page_footer.jspf" %>
