<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.DataObjects.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="it.loway.app.queuemetrics.liveData.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.IconLib" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.realtime.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.QA.loadPopup" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.QA.commentsHandler" %>
<%@ page import="it.loway.app.queuemetrics.FA" %>
<%@ page import="java.text.*" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.HashMap" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="it.loway.app.queuemetrics.html.JSON" %>

<%

    class commentDeleteDecorator implements TpfCellDecoratorInterface {

        LDecoder oDec = null;

        public commentDeleteDecorator(LDecoder oDec) {
            this.oDec = oDec;
        }

        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            String stCommentID = lt.getS(r, c );
            String stID = "delCmtCell";

            //String stText = IconLib.clickIcon("deleteComment(" + stCommentID + ")", IconLib.I_EDITOR_DELETE, oDec.k("qa_pop_delcomment"));

            String stText = "<a class='qm-qa-deletecomment' data-commentid='" + stCommentID + "' uk-icon='icon: trash'></a>";
            return  "<td class='stData '   " + stID + " >" + stText + "</td>\n";
        }
    }


    class userAndDateCreation implements TpfCellDecoratorInterface {

        private int dateColumn = 0;

        public userAndDateCreation(int dateColumn) {

            this.dateColumn = dateColumn;
        }

        public String decorate(LTable lt, int r, int c, String width) throws TechException {

            String date = lt.getS(r, dateColumn);
            String user = lt.getS(r,c);

            String stText = date + "<br>" + user;

            return  " <td class='stData' style='width: " + width + ";'>" + stText + "</td>\n";
        }
    }

    class formAndItemCodeDecorator implements TpfCellDecoratorInterface {

        private int formIdColumn;
        private LTable ltForms;

        public formAndItemCodeDecorator(int formColumn, LTable ltForms) {
            this.formIdColumn = formColumn;
            this.ltForms = ltForms;
        }

        public String decorate(LTable lt, int r, int c, String width) throws TechException {

            String stText = "";
            String itemCode = lt.getS(r, c);
            String form = FA.decodificaNomeForm(lt.getS(r,formIdColumn), ltForms);
            if (!itemCode.isEmpty()) {
                stText = form + "<br>" + itemCode;
            } else if (!form.isEmpty()) {
                stText = form;
            }

            return  " <td class='stData' style='width: " + width + ";'>" + stText + "</td>\n";
        }
    }

    class NotesExtractor {

        public final static int ITEM_CODE_COL = 0;
        public final static int LAST_COMMENT_EXC_COL = 1;
        public final static int ITEM_COMMENTS_TABLE_COL = 2;

        private LTable ltComments;
        private LTable ltForms;
        private int selectedFormId;
        private LUser oU;
        private LDecoder oDec;

        private LTable ltCommentsByItem = new LTable();

        public NotesExtractor(LTable ltComments, LTable ltForms, int selectedFormId, LUser oU, LDecoder oDec) {
            this.ltComments = ltComments;
            this.ltForms = ltForms;
            this.oU = oU;
            this.oDec = oDec;
            this.selectedFormId = selectedFormId;

            generateCommentsByQAItemsKeyAndForm();
        }

        public LTable getCommentsByItem () {
            return ltCommentsByItem;
        }

        public String getFullNotesTable() {

            String stComments = "";
            if (ltComments.numRows() != 0) {
                SmartTable Comments = new SmartTable( "x", ltComments );
                Comments.setDecoder( oDec );
                Comments.addColumn( oDec.k("qa_frm_user") + ", " + oDec.k("qa_date"), 4, "150px" , new userAndDateCreation(2));
                Comments.addColumn( oDec.k("qa_frm_item"), commentsHandler.COMMENT_QA_FORM_ITEM_CODE, "50px", new formAndItemCodeDecorator(commentsHandler.COMMENT_QA_FORM_ID, ltForms));
                Comments.addColumn( oDec.k("qa_frm_feedback"), 1, "500px" );
                if (oU.hasKey("QA_REMOVE"))
                    Comments.addColumn( "&nbsp;", 0, "30px", new commentDeleteDecorator(oDec) );
                stComments = Comments.render();
            }

            return stComments;
        }

        private void generateCommentsByQAItemsKeyAndForm() {

            // Nothing to do if no form was selected (that's a weird situation, uh?)
            if (selectedFormId == 0)
                return;

            HashMap<String, LTable> commentsByItem = new HashMap<String, LTable>();
            for (int i = 0; i < ltComments.numRows(); i++) {

                // Filter out comments not related to the selected form Id
                int formId = ltComments.getI(i, commentsHandler.COMMENT_QA_FORM_ID);
                if (formId == selectedFormId) {

                    String itemCode = ltComments.getS(i, commentsHandler.COMMENT_QA_FORM_ITEM_CODE);

                    LTable ltCommentsForItem = new LTable();
                    if (commentsByItem.containsKey(itemCode))
                        ltCommentsForItem = commentsByItem.get(itemCode);
                    else
                        commentsByItem.put(itemCode, ltCommentsForItem);

                    int row = ltCommentsForItem.numRows();
                    ltCommentsForItem.putS(row, commentsHandler.COMMENT_CREATION_USER_NAME, ltComments.getS(i, commentsHandler.COMMENT_CREATION_USER_NAME));
                    ltCommentsForItem.putS(row, commentsHandler.COMMENT_CREATION_TIMESTAMP, ltComments.getS(i, commentsHandler.COMMENT_CREATION_TIMESTAMP));
                    ltCommentsForItem.putS(row, commentsHandler.COMMENT_VALUE, ltComments.getS(i, commentsHandler.COMMENT_VALUE));
                }
            }

            /* Render all comments to a multiple HTML table set */
            Iterator<String> keySet = commentsByItem.keySet().iterator();
            while(keySet.hasNext()) {

                String itemCode = keySet.next();
                LTable commentsForItem = commentsByItem.get(itemCode);

                SmartTable comments = new SmartTable( "x", commentsForItem );
                comments.setDecoder( oDec );
                comments.addColumn( oDec.k("qa_date"), commentsHandler.COMMENT_CREATION_TIMESTAMP, "120px" );
                comments.addColumn( oDec.k("qa_frm_user"), commentsHandler.COMMENT_CREATION_USER_NAME, "100px" );
                comments.addColumn( oDec.k("qa_frm_feedback"), commentsHandler.COMMENT_VALUE, "300px" );

                int row = ltCommentsByItem.numRows();
                ltCommentsByItem.putS(row, 0, itemCode);
                ltCommentsByItem.putS(row, 1, comments.render());
                ltCommentsByItem.putS(row, 2, commentsForItem.getS(0, commentsHandler.COMMENT_VALUE));
            }
        }
    }


    // Retrieve notes
    LTable ltComments = oC.getLt( "QAE_Comments");
    int selectedFormId = oC.getI("QAE_formId");
    LTable ltForms = oC.getLt( "DATI_QAE_ltForms_tutti" );

    NotesExtractor noteExtractorEngine = new NotesExtractor(ltComments, ltForms, selectedFormId, oU, oDec);
    String stComments = noteExtractorEngine.getFullNotesTable();
    LTable ltCommentsByItem = noteExtractorEngine.getCommentsByItem();
%>


{
    <% for (int i = 0; i < ltCommentsByItem.numRows(); i++) { %>
        "comments_<%=ltCommentsByItem.getS(i, 0)%>" : <%= JSON.serialize(ltCommentsByItem.getS(i,1)) %>,
        "commentstt_<%=ltCommentsByItem.getS(i, 0)%>" : <%= JSON.serialize(ltCommentsByItem.getS(i,2)) %>,
    <% } %>
    "comments" : <%= JSON.serialize(stComments) %>
}
