<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    class iconFinder {
        private String selectedBorderStyle = "";
        private String selectedIcon = "";
        private int selectedIconId = 0;
        public void setFocus(String iconName) {
            selectedIcon = iconName;
        }
        public void setSelectedBorderStyle(String borderStyle) {
            selectedBorderStyle = borderStyle;
        }
        public int getSelectedIconId() {
            return selectedIconId;
        }
        public String getSelectedBorderStyle() {
            return selectedBorderStyle;
        }

        public String getIconSet(String location, LTable ltIconSet) {
            StringBuffer bufResult = new StringBuffer();
            for (int icon = 0; icon < ltIconSet.numRows(); icon++) {
                boolean isSelected = false;
                String iconName = ltIconSet.getS(icon, 0);
                if (selectedIcon.equals(iconName)) {
                    isSelected = true;
                    selectedIconId = icon;
                }
                String html = "<IMG HEIGHT=\"16\", WIDTH=\"16\", " + (isSelected? "style='border:" + selectedBorderStyle + ";'" : "") +
                                " onClick=\"selIcon(" + icon + ",'" + iconName + "');\" src='" + location + iconName +
                                "' alt='" + iconName + "' id='iconid_" + icon + "' />&nbsp;";
                bufResult.append(html);

                // we don't need line break in responsive layout
                //if (((icon+1)%20) == 0)
                //    bufResult.append("<br>");
            }
            return bufResult.toString();
        }
    };
    // inizializza Decodes
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_agentgroups";
    final String stTabPrefix  = "TABAGENTGROUPS";
    String stWidth = "";
    int nAgentsBelonging = oC.getI( "TABAGENTGROUPS_opt_n_users" );
    iconFinder icons = new iconFinder();
    icons.setSelectedBorderStyle("thin solid red");
    icons.setFocus(oC.getS("TABAGENTGROUPS_group_icon"));
    String iconSet = icons.getIconSet("../img/agent_groups/", oC.getLt("AGENTGROUPS_ICONSET"));
    int selectedIconId = icons.getSelectedIconId();
%>
<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";

  setFocus( "TABAGENTGROUPS_group_name" );
}
</script>

<script javascript>
    function selIcon(iconIdVal, iconName) {
        document.getElementById('TABAGENTGROUPS_group_icon').value = iconName;
        var oldIconIdVal = document.getElementById('group_icon_sel').value;
        var oldIconId = "iconid_" + oldIconIdVal;
        var iconId = "iconid_" + iconIdVal;
        document.getElementById('group_icon_sel').value = iconIdVal;
        document.getElementById(oldIconId).style.border = "";
        document.getElementById(iconId).style.border = "<%=icons.getSelectedBorderStyle()%>";
    }
</script>

<div class="qm-form-body">
    <fieldset class="qm-fieldset L-column L-gap-24">
        <legend><%= oDec.k("edit_record_groups_title") %></legend>
        <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>

            <label for="TABAGENTGROUPS_group_name"><%= oDec.k("edit_record_name") %></label>
            <div><%= oH.textBox( "TABAGENTGROUPS_group_name", true, stWidth, 50 ) %></div>

            <label for="TABAGENTGROUPS_group_description"><%= oDec.k("edit_record_description") %></label>
            <div><%= oH.textBox( "TABAGENTGROUPS_group_description", true, stWidth, 250 ) %></div>

            <label><%= oDec.k("edit_record_icon") %></label>
            <div>
            <%= iconSet %><br>
            <input type="hidden" id="group_icon_sel" name="group_icon_sel" value="<%= selectedIconId %>" />
            <INPUT CLASS='Input uk-margin-top'  TYPE='textbox' NAME="TABAGENTGROUPS_group_icon" ID="TABAGENTGROUPS_group_icon" VALUE="<%=oC.getS("TABAGENTGROUPS_group_icon")%>" MAXLENGTH='250' STYLE="<%=stWidth%>" readonly="yes" >
            </div>

            <label for="TABAGENTGROUPS_read_key"><%= oDec.k("edit_record_securitykey") %></label>
            <div><%= oH.textBox( "TABAGENTGROUPS_read_key", true, stWidth, 30 ) %></div>

            <label for="TABAGENTGROUPS_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
            <div><%= oH.textBox( "TABAGENTGROUPS_nomedata_insert",  false, stWidth, 100 ) %></div>

            <label for="TABAGENTGROUPS_nomedata_update"><%= oDec.k("edit_record_lastupdate") %></label>
            <div><%= oH.textBox( "TABAGENTGROUPS_nomedata_update",  false, stWidth, 100 ) %></div>
        </div>

        <div class="L-row uk-flex-between">
            <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
            <div class="L-row L-gap-16">
                <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABAGENTGROUPS_id_group") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
                <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABAGENTGROUPS_id_group") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
                <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABAGENTGROUPS_id_group") > 0 ) && ( nAgentsBelonging == 0) , "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABAGENTGROUPS_group_name")+"','"+oC.getS("TABAGENTGROUPS_id_group")+"')", "Q-button-secondary") %>
            </div>
            <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
        </div>
    </fieldset>

    <fieldset class="qm-fieldset">
        <legend><%= oDec.k("edit_record_groups_agentsingroup") %></legend>
        <div class="uk-margin-top">
        <%
            SmartTable stT = new SmartTable( "x", oC.getLt( "TABAGENTGROUPS_opt_list_users" ) );
            stT.addColumn( oDec.k("edit_record_groups_code"), 0  , "100" );
            stT.addColumn( oDec.k("edit_record_groups_name"),  1  , "200" );
            if ( stT.numRows() > 0 ) {
                stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
                out.println( stT.render() );
            } else {
                out.println( "<div class=\"qm-admin-agents-warning\">"+oDec.k("edit_record_groups_noagents")+"</div>");
            }
        %>
        </div>
    </fieldset>

</div>






<%--

<center>
<h1><%= oDec.k("edit_record_groups_title") %></h1>
<table class="ST">
<tr><td>
    <%= oDec.k("edit_record_name") %>
</td><td colspan="2">
    <%= oH.textBox( "TABAGENTGROUPS_group_name", true, stWidth, 50 ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_description") %>
</td><td colspan="2">
    <%= oH.textBox( "TABAGENTGROUPS_group_description", true, stWidth, 250 ) %>
</td></tr>
<tr><td>
    <%= oDec.k("edit_record_icon") %>
</td><td colspan="2">
    <%= iconSet %>
</td></tr>
<tr><td>&nbsp;</td>
<td colspan="2">
    <input type="hidden" id="group_icon_sel" name="group_icon_sel" value="<%= selectedIconId %>" />
    <INPUT CLASS='Input' TYPE='textbox' NAME="TABAGENTGROUPS_group_icon" ID="TABAGENTGROUPS_group_icon" VALUE="<%=oC.getS("TABAGENTGROUPS_group_icon")%>" MAXLENGTH='250' STYLE="<%=stWidth%>" readonly="yes" >
</td>
</tr>
<tr><td>
    <%= oDec.k("edit_record_securitykey") %>
</td><td colspan="2">
    <%= oH.textBox( "TABAGENTGROUPS_read_key", true, stWidth, 30 ) %>
</td></tr>
<tr><td class="reg">
<%= oDec.k("edit_record_createdby") %>
</td><td>
<%= oH.textBox( "TABAGENTGROUPS_nomedata_insert",  false, stWidth, 100 ) %>
</td></tr>
<tr><td class="reg">
<%= oDec.k("edit_record_lastupdate") %>
</td><td>
<%= oH.textBox( "TABAGENTGROUPS_nomedata_update",  false, stWidth, 100 ) %>
</td></tr>
</table>



    <script>
    function testVnc( stVncUrl ) {
        //alert( "VNC: " + stVncUrl );
        if ( stVncUrl.length > 0 ) {
            var newwindow = window.open( stVncUrl, "VncWINDOW",'');
        }
    }
    </script>

<p>
    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    <%= oH.button( oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "") %>
    <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABAGENTGROUPS_id_group") > 0 ), "", stVerbPrefix + "_edit", "N") %>
    <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABAGENTGROUPS_id_group") > 0 ), "", stVerbPrefix + "_edit", "C") %>
    <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABAGENTGROUPS_id_group") > 0 ) && ( nAgentsBelonging == 0) , "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABAGENTGROUPS_group_name")+"','"+oC.getS("TABAGENTGROUPS_id_group")+"')") %>

<p>

<h2><%= oDec.k("edit_record_groups_agentsingroup") %></h2>
<%
    SmartTable stT = new SmartTable( "x", oC.getLt( "TABAGENTGROUPS_opt_list_users" ) );
    stT.addColumn( oDec.k("edit_record_groups_code"), 0  , "100" );
    stT.addColumn( oDec.k("edit_record_groups_name"),  1  , "200" );
    if ( stT.numRows() > 0 ) {
        out.println( stT.render() );
    } else {
        out.println( "<font color='red'>"+oDec.k("edit_record_groups_noagents")+"</font>");
    }
%>
</p>
</center>
--%>
<%@ include file="/includes/00_page_footer.jspf" %>
<%
// $Log: cfg2_agentgroups_edit.jsp,v $
// Revision 1.5  2015/09/28 08:41:10  marcos
// jsp/jspf refactoring.
//
// Revision 1.4  2014/05/19 09:46:32  lenz
// Merge FRANKIE
//
// Revision 1.3.8.1  2014/05/13 13:33:37  mirkox
// Nuova Grafica
//
// Revision 1.3  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.2  2010/01/12 17:11:53  marcos
// IMM11 branch merge on main trunk
//
// Revision 1.1.2.4  2009/07/06 08:53:28  marcos
// #764: Minor issues on agent group page definition
//
// Revision 1.1.2.3  2009/07/04 09:35:55  lenz-mobile
// Bug #662 - cloning dei forms
//
// Revision 1.1.2.2  2009/06/09 15:29:36  marcos
// Agent Groups new feature added on QM 1.6.0 - Icon on reports and some other minor changes
//
// Revision 1.1.2.1  2009/06/08 10:36:31  marcos
// Agent Groups new feature added on QM 1.6.0
//
//
%>
