<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%@ include file="/includes/00_page_header.jspf" %>
<style>

    .outcomestable {
            border: none;
    }

    .outcomestable  td {
            border: none !important;
    }

    .outcomestable tr:first-of-type {
            font-weight: normal !important;
    }
</style>
<%
    // inizializza Decodes
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_features";
    final String stTabPrefix  = "TABCALL_FEATURES";
    String stWidth = "";
%>

<script>
var outcomeslist = <%= oC.getS("FEATURES_JSON_STATUS_CODELIST") %>;

function onLoadApplicativo() {

	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";

	populateDropdownOutcome();
	updateOutcomeTable();

        setFocus( "TABCALL_FEATURES_feat_code" );
}

function getOutcomeLabel(index) {

	var value = outcomeslist[index];

	var code = "[" + value[0] + "] ";
	var label = value[1];
	var isContact = (value[2] != "0")? " (C)" : "";
	var isSale = (value[3] != "0")? " (S)" : "";
	var isQContact = (value[4] != "0")? " (Q)" : "";

	var llb = code + label + isContact + isSale + isQContact;

	return llb;
}

function getOutcomeLabelsHash() {

	var result = [];
	$.each(outcomeslist,
		function(index, value) {

			var llb = getOutcomeLabel(index);
			var code = value[0];

			result[code] = llb;
		}
	);

	return result;
}

function populateDropdownOutcome() {

	// Loop on each outcome list, if any
	$.each(outcomeslist,
		function(index,value) {

			var llb = getOutcomeLabel(index);
			$('<option value="' + index + '">'+ llb + '</option>').appendTo("#ddOutcomes");
		}
	);

	// Enable the "add" button if at least one outcome is present
	if (outcomeslist.length != 0) {
		$("#addOutcome").removeAttr("disabled");
		$("#delOutcome").removeAttr("disabled");
	}
}

function getSelectedOutcomes() {

	var str = $("#TABCALL_FEATURES_relev_outcomes").val();
	str = $.trim(str);
	items = str.split("|");
	if (str.length == 0) {
		items = [];
	}

	return items;
}

function onAddOutcome() {

	var index = $("#ddOutcomes").val();
	var code = outcomeslist[index][0];

	var items = getSelectedOutcomes();

	if ($.inArray(code, items) == -1) {
		items.push(code);
		str = items.join("|");
		$("#TABCALL_FEATURES_relev_outcomes").val(str);
		updateOutcomeTable();
	}
}

function onDelOutcome() {

	var index = $("#ddOutcomes").val();
	var code = outcomeslist[index][0];

	var items = getSelectedOutcomes();

	if ($.inArray(code, items) != -1) {
		items = jQuery.grep(items, function(value) {
		  return value != code;
		});
		str = items.join("|");
		$("#TABCALL_FEATURES_relev_outcomes").val(str);
		updateOutcomeTable();
	}
}

function updateOutcomeTable() {

	var items = getSelectedOutcomes();
	var labels = getOutcomeLabelsHash();

	var table = "<table class='outcomestable'>";
	$.each(items,
		function (index, val) {
			var label = labels[val];
			table = table + "<tr><td>" + label + "</tr></td>";
		}
	);
	table = table + "</table>";

	$("#outcomeTable").html(table);
}

</script>

<div class="qm-form-body">
<fieldset class="qm-fieldset L-column L-gap-24">
 <legend><%= oDec.k("edit_record_features_title") %></legend>
 <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>

   <label for="TABCALL_FEATURES_feat_code"><%= oDec.k("edit_record_features_code") %></label>
   <div><%= oH.textBox( "TABCALL_FEATURES_feat_code",  true, stWidth, 45 ) %></div>

   <label for=""><%= oDec.k("edit_record_description") %></label>
   <div><%= oH.textBox( "TABCALL_FEATURES_feat_descr",  true, stWidth, 100 ) %></div>

   <label for="ddOutcomes"><%= oDec.k("edit_record_features_outcomes") %></label>
   <div>
   	<select id="ddOutcomes" name="ddOutcomes" CLASS='Input' STYLE=""></select>
	   <div class="L-row L-gap-16">
		   <button id="addOutcome" class='Q-button-primary uk-margin-top' onclick="onAddOutcome(); return false;" disabled >Add</button>
		   <button id="delOutcome" class='Q-button-primary uk-margin-top' onclick="onDelOutcome(); return false;" disabled >Del</button>
		</div>
    <div id="outcomeTable"> </div>
    <%= oH.hidden( "TABCALL_FEATURES_relev_outcomes") %>
   </div>

   <label for="TABCALL_FEATURES_isGoal"><%= oDec.k("edit_record_features_goal") %></label>
   <div><%= oH.combo( "TABCALL_FEATURES_isGoal", true, stWidth, oC.getLt( "TABCALL_FEATURES_goalyesno" ), 0, 1, "0" ) %></div>

   <label for="TABCALL_FEATURES_read_key"><%= oDec.k("edit_record_securitykey") %></label>
   <div><%= oH.textBox( "TABCALL_FEATURES_read_key",  true, stWidth, 100 ) %></div>

   <label for="TABCALL_FEATURES_seckey_queues"><%= oDec.k("edit_record_features_visibility") %></label>
   <div><%= oH.textArea( "TABCALL_FEATURES_seckey_queues",  true, stWidth + "height: 90px;", 10000 ) %></div>

   <label for="TABCALL_FEATURES_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
   <div><%= oC.getS("TABCALL_FEATURES_nomedata_insert") %></div>

   <label for="TABCALL_FEATURES_nomedata_update"><%= oDec.k("edit_record_lastupdate") %></label>
   <div><%= oC.getS( "TABCALL_FEATURES_nomedata_update" ) %></div>
 </div>

 <div class="L-row uk-flex-between">
	<%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
	 <div class="L-row L-gap-16">
		<%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCALL_FEATURES_feat_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
	 	<%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCALL_FEATURES_feat_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
	 	<%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCALL_FEATURES_feat_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCALL_FEATURES_feat_code")+"','"+oC.getS("TABCALL_FEATURES_feat_id")+"')", "Q-button-secondary") %>
	</div>
	 <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
 </div>

</fieldset>
</div>

<%--
<center>

<h1><%= oDec.k("edit_record_features_title") %></h1>



<table class="ST">

<tr><td>

<%= oDec.k("edit_record_features_code") %>

</td><td>

<%= oH.textBox( "TABCALL_FEATURES_feat_code",  true, stWidth, 45 ) %>

</td></tr>



<tr><td>

<%= oDec.k("edit_record_description") %>

</td><td>

<%= oH.textBox( "TABCALL_FEATURES_feat_descr",  true, stWidth, 100 ) %>

</td></tr>


<tr><td>

<%= oDec.k("edit_record_features_outcomes") %>

</td><td>

<div>
	<select id="ddOutcomes" CLASS='Input' STYLE="width: 320px;">
	</select>

	<button id="addOutcome" class='actButton' onclick="onAddOutcome(); return false;" disabled >Add</button>
	<button id="delOutcome" class='actButton' onclick="onDelOutcome(); return false;" disabled >Del</button>
</div>

<div id="outcomeTable">
</div>

    <%= oH.hidden( "TABCALL_FEATURES_relev_outcomes") %>

</td></tr>

<tr><td>

<%= oDec.k("edit_record_features_goal") %>

</td><td>



<%= oH.combo( "TABCALL_FEATURES_isGoal", true, stWidth,

              oC.getLt( "TABCALL_FEATURES_goalyesno" ), 0, 1, "0" ) %>

</td></tr>



<tr><td>

<%= oDec.k("edit_record_securitykey") %>

</td><td>

<%= oH.textBox( "TABCALL_FEATURES_read_key",  true, stWidth, 100 ) %>

</td></tr>



<tr><td>

<%= oDec.k("edit_record_features_visibility") %>

</td><td>

<%= oH.textArea( "TABCALL_FEATURES_seckey_queues",  true, stWidth + "height: 90px;", 10000 ) %>

</td></tr>




<tr><td>

<%= oDec.k("edit_record_createdby") %>

</td><td>

<%= oC.getS("TABCALL_FEATURES_nomedata_insert") %>  &nbsp;

</td></tr>



<tr><td>

<%= oDec.k("edit_record_lastupdate") %>

</td><td>

<%= oC.getS( "TABCALL_FEATURES_nomedata_update" ) %> &nbsp;

</td></tr>



</table>





<p>



    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>



    <%= oH.button( oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "") %>



    <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCALL_FEATURES_feat_id") > 0 ), "", stVerbPrefix + "_edit", "N") %>



    <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCALL_FEATURES_feat_id") > 0 ), "", stVerbPrefix + "_edit", "C") %>



    <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCALL_FEATURES_feat_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCALL_FEATURES_feat_code")+"','"+oC.getS("TABCALL_FEATURES_feat_id")+"')") %>


</center>

--%>




<%@ include file="/includes/00_page_footer.jspf" %>



<%

// $Log: cfg2_features_edit.jsp,v $
// Revision 1.3  2015/09/28 08:41:11  marcos
// jsp/jspf refactoring.
//
// Revision 1.2  2015/05/08 10:57:55  marcos
// Merge 24 on trunk
//
// Revision 1.1.2.2  2015/03/18 11:48:20  marcos
// Features can be marked as goal
//
// Revision 1.1.2.1  2014/11/04 08:47:25  marcos
// #2462 - RTTF: QM editors
//
%>
