<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes

    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    oDec.load( "pauseTypes_long",    "pause_types.txt",         0, 2 );
    final String stVerbPrefix = "qm_cfg2_pcodes";
    final String stTabPrefix  = "TABPAUSE_CODES";
    String stWidth = "";

%>

<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
        setFocus( "TABPAUSE_CODES_pcode" );
}
</script>


<div class="qm-form-body">
<fieldset class="qm-fieldset L-column L-gap-24">
  <legend><%= oDec.k("edit_record_pauses_title") %></legend>

  <div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
    <label for="TABPAUSE_CODES_pcode"><%= oDec.k("edit_record_pauses_code") %></label>
    <div><%= oH.textBox( "TABPAUSE_CODES_pcode",  true, stWidth, 45 ) %></div>

    <label for="TABPAUSE_CODES_pcode_desc"><%= oDec.k("edit_record_description") %></label>
    <div><%= oH.textBox( "TABPAUSE_CODES_pcode_desc",  true, stWidth, 100 ) %></div>

    <label for="TABPAUSE_CODES_read_key"><%= oDec.k("edit_record_securitykey") %></label>
    <div><%= oH.textBox( "TABPAUSE_CODES_read_key",  true, stWidth, 100 ) %></div>

    <label for="TABPAUSE_CODES_isBillable"><%= oDec.k("edit_record_pauses_billable") %></label>
    <div><%= oH.combo( "TABPAUSE_CODES_isBillable",  true, stWidth, "masterkeyAbilitato", "0" ) %></div>

    <label for="TABPAUSE_CODES_isPayable"><%= oDec.k("edit_record_pauses_payable") %></label>
    <div><%= oH.combo( "TABPAUSE_CODES_isPayable",  true, stWidth, "masterkeyAbilitato", "0" ) %></div>

    <label for="TABPAUSE_CODES_pauseType"><%= oDec.k("edit_record_pauses_type") %></label>
    <div><%= oH.combo( "TABPAUSE_CODES_pauseType",  true, stWidth, "pauseTypes_long", "-" ) %></div>

    <label for="TABPAUSE_CODES_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
    <div><%= oH.textBox( "TABPAUSE_CODES_nomedata_insert",  false, stWidth, 100 ) %></div>

    <label for=""><%= oDec.k("edit_record_lastupdate") %></label>
    <div><%= oH.textBox( "TABPAUSE_CODES_nomedata_update",  false, stWidth, 100 ) %></div>
  </div>

  <div class="L-row uk-flex-between">
    <%= oH.iconButton( "<span uk-icon='icon: chevron-left; ratio: 1'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
    <div class="L-row L-gap-16">
      <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABPAUSE_CODES_pcode_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
      <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABPAUSE_CODES_pcode_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
      <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABPAUSE_CODES_pcode_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABPAUSE_CODES_pcode")+"','"+oC.getS("TABPAUSE_CODES_pcode_id")+"')", "Q-button-secondary") %>
    </div>
    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
  </div>

</fieldset>
</div>


<%@ include file="/includes/00_page_footer.jspf" %>

<%
// $Log: cfg2_pcodes_edit.jsp,v $
// Revision 1.8  2015/09/28 08:41:12  marcos
// jsp/jspf refactoring.
//
// Revision 1.7  2014/05/19 09:46:33  lenz
// Merge FRANKIE
//
// Revision 1.6.8.1  2014/05/13 13:33:35  mirkox
// Nuova Grafica
//
// Revision 1.6  2011/11/24 17:16:44  marcos
// #1008: Link diretto a License page
//
// Revision 1.5  2011/01/14 11:16:43  marcos
// IMM14 merge on main trunk
//
// Revision 1.4.2.1  2010/10/05 08:23:46  marcos
// - Changes for Payroll release II
// - Bug 1169
//
// Revision 1.4  2009/07/04 09:35:10  lenz-mobile
// Bug #662 - cloning dei forms
//
// Revision 1.3  2008/09/29 14:31:14  lenz
// --=-   M e r g e   I M M 6   -=--
//
// Revision 1.2.2.2  2008/08/16 13:18:27  lenz-mobile
// Bug #433: Gestioni dei tipi di Pause Codes.
//
// Revision 1.2.2.1  2008/04/18 16:12:58  lenz
// Bug #285: Cursore in automatico nel primo box.
// Bug #280: Bottoni sopra e sotto.
//
// Revision 1.2  2007/10/10 14:17:38  lenz
// Giro pause codes funzionante.
//
// Revision 1.1  2007/10/10 09:08:22  lenz-mobile
// Uso transactor per Outomes, PCodes e Location - NON PROVATA.
//
//
%>
