<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.autenticazione.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
    class syslogActionDecor implements TpfCellDecoratorInterface {
        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            String stResult = lt.getS(r, c);
            int iAction = lt.getI(r, c);
            /* Properly decode the action Id */
            stResult = SysLog.decodeActionId(iAction, stResult);
            return "<td class='stData' style='width: " + width + "; '>" + stResult + "</td>";
        }
    };
    class userDecor implements TpfCellDecoratorInterface {
        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            String stResult = lt.getS(r, c);

            if(stResult.equals("0")){
                stResult = "-";
            }

            return "<td class='stData' style='width: " + width + "; '>" + stResult + "</td>";
        }
    };

    class shortenSessionDecor implements TpfCellDecoratorInterface {
        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            String stResult = lt.getS(r, c);
            String newResult = stResult;
            int l = stResult.length();

            if ( l> 12 ) {
                newResult = stResult.substring(0,6)
                          + "..."
                          + stResult.substring(l-6, l);
            }

            return "<td class='stData' style='width: " + width + "; '>" + newResult + "</td>";
        }
    };


%>
<%@ include file="/includes/00_page_header.jspf" %>


<script>
function onLoadApplicativo() {
    // transazione standard
    document.forms[0].<%= K.REQ_VERBO %>.value = "";
    document.forms[0].<%= K.REQ_PARAM %>.value = "";
    //$("#SYSREP_logDtStart_date").datepicker({dateFormat: 'yy-mm-dd'});
    //$("#SYSREP_logDtEnd_date").datepicker({dateFormat: 'yy-mm-dd'});

    //$("#searchbox").val($("#SYSREP_query").val());
};

var page_show_auditlog_info = true;
var setFocusPath = "searchbox";
var stVerbPrefix = "qm_syslogInfoShow";
</script>


<div class="qm-form-body">
  <fieldset class="qm-fieldset">
    <legend><%=CS.QUEUEMETRICS%> System Log</legend>

  <div class="qm-form-auditlog-search">
    <div class="qm-auditlog-element">
      <label for="SYSREP_filter"><%= oDec.k("clhdr_filter") %></label>
      <div><%= oH.combo( "SYSREP_filter", true, "", SysLog.actionsCategoriesAsLTable() , 2, 1, "" ) %></div>
    </div>
    
    <div class="qm-auditlog-element">

        <label for="SYSREP_queryx">SEARCH</label>
        <div class="uk-flex uk-flex-middle">
          
          <div class="uk-search uk-search-default">
            <a class="uk-search-icon-flip qm-search-icon" uk-search-icon></a>
            <input id="SYSREP_query"  name="SYSREP_query" class="uk-search-input qm-report-search-input" type="search" value="<%=XssFilter.encodeToHtml(oC.getS("SYSREP_query"))%>">
            
          </div>
        </div>
    </div>
      
  </div>

  <div class="qm-form-auditlog">
      <label for="SYSREP_logDtStart_date"><%= oDec.k("clhdr_period_start_date") %></label>
      <div class="qm-form-datehourpicker">
        <%= FA.generaJQueryComboDataOra( "SYSREP_logDtStart", oC,oH,true, oDec) %>      
      </div>
      <label for="SYSREP_logDtEnd_date"><%= oDec.k("clhdr_period_end_date") %></label>
      <div class="qm-form-datehourpicker"><%= FA.generaJQueryComboDataOra( "SYSREP_logDtEnd", oC,oH,true, oDec) %></div>
  </div>
  
  <div class="qm-editor-button"><%= oH.button( oDec.k("qa_report_data"), true, "", "qm_syslogInfoShow", "QALL" ) %></div>
  <%
  LTable ltD = oC.getLt("SYSREP_ltLogs");
  SmartTable stT = new SmartTable( "x", ltD );
  stT.addColumn( "Date",        0   , "120");
  stT.addColumn( "User",        1   , "80");
  stT.addColumn( "Session",     2   , "100", new shortenSessionDecor());
  stT.addColumn( "Action",      3   , "100", new syslogActionDecor());
  stT.addColumn( "Text 1",      4   , "100");
  stT.addColumn( "Text 2",      5   , "100");
  stT.addColumn( "Text 3",      6   , "100");
  stT.addColumn( "Text 4",      7   , "100");
  if ( stT.numRows() > 0 ) {
    stT.withTableClass( "qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand" );
    out.println( stT.render() );
  }
  if ( stT.getNRigheTotaliQuery() == 0 ) {
    %>
    <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
    <%
  } else { // ci sono righe
    %>
    
    <div class="qm-table-pagination">
      <div class="first-column">Items found: <%= stT.getNRigheTotaliQuery() %></div>
      <div class="L-row L-gap-16">
        <%= oH.button( "&lt;&lt;&lt;", stT.hasPreviousPage(), "", "qm_syslogInfoShow", "P", "Q-button-secondary" ) %>
        <%= oH.button( "&gt;&gt;&gt;", stT.hasNextPage(),     "", "qm_syslogInfoShow", "N", "Q-button-secondary" ) %>
      </div>
      <div class="text-right">Page <%= stT.getPaginaCorrenteQuery() %> of <%= stT.getNPagineTotaliQuery() %></div>
    </div>
    <% } %>
  </fieldset>
  </div>
</div>
    
  
  
  
  

<%@ include file="/includes/00_page_footer.jspf" %>
<%
//
%>
